const wrapFunction = (logic) => async (args) => {
  let response;
  try {
    const result = await logic(args);
    response = { headers: { "content-type": "application/json" }, body: JSON.stringify(result), statusCode: 200 };
  } catch (e) {
    if (e.name === "FastifyError") {
      response = {
        headers: { "content-type": "application/json" },
        body: JSON.stringify({ msg: e.message, code: e.code }),
        statusCode: e.statusCode
      };
    } else {
      response = {
        headers: { "content-type": "application/json" },
        body: JSON.stringify({ msg: e.message }),
        statusCode: 500
      };
    }
  }
  return response;
};
export {
  wrapFunction
};
