export interface ReturnValue {
    headers?: Record<string, string>;
    statusCode?: number;
    body: string;
}
/**
 * Respond to a Function call (activation/invocation).
 * It runs the async logic function and returns the response as serialised JSON.
 * @param logic - the logic of the function execution.
 */
export declare const wrapFunction: (logic: (args: Record<string, any>) => any) => (args: Record<string, any>) => Promise<ReturnValue>;
