import type { Schema } from "jsonschema";
import type { ReturnValue } from "./wrapper.js";
export type InputSchema = Schema & {
    type: 'object';
};
/**
 * Respond to a Function call (activation/invocation).
 * Validates input arguments according to the provided JSON Schema.
 * It runs the async logic function and returns the response as serialised JSON.
 * @param schema - JSON schema to validate input arguments. Should always be type: object
 * @param logic - the logic of the function execution.
 */
export declare const wrapFunctionWithSchema: (logic: (args: Record<string, any>) => any, schema: InputSchema) => (args: Record<string, any>) => Promise<ReturnValue>;
